| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# cstool/debugimagewriter.h File Reference

Image object debugging helper. More...

`#include "csutil/csstring.h"`
`#include "csutil/scf.h"`
`#include "igraphic/imageio.h"`
`#include "iutil/databuff.h"`
`#include "iutil/vfs.h"`
`#include "ivaria/reporter.h"`

Go to the source code of this file.

## Classes
class | csDebugImageWriter
| Helper class allowing in debug builds for to quickly dump an iImage object onto disk for visual inspection. More...

## Detailed Description

Image object debugging helper.

Definition in file debugimagewriter.h.